PPAs are personal package archives that allows users and groups on Launchpad to make packages available to the public. PPAs can be added with a terminal command or through Software Sources.

learn more… | top users | synonyms

2
votes
1answer
20 views

Is there a maximum number of ppas that I can add? [duplicate]

I read this: There is a finite number of PPAs that a user can add (more accurately GPG Keys). If they don't need a PPA to solve the problem, don't make them use up one of their slots. Is this ...
6
votes
2answers
82 views

Is there any limit to the number of PPA's I can add to the system? Why?

I came across a post which suggests: Do Not instruct people to add PPAs unless it is necessary And one of the reason it has mentioned: There is a finite number of PPAs that a user can add. ...
1
vote
1answer
100 views

Updates problem giving a PPA not found error [duplicate]

I am on Ubuntu 14.04 and it always show me the little icon for updates, I do it and every time it show me this message : W:Failed to fetch (http)://ppa.launchpad.net/c-korn/ppa/ubuntu/dists/trusty/...
-1
votes
1answer
104 views

libimobiledevice build for kubuntu 14.10 went wrong

I tried following the instructions given in this question: libimobiledevice 1.2 (iOS 8 Support) for Ubuntu 14.04 Trusty but something went wrong and this is what i got when i reached the eighth step: ...
0
votes
2answers
121 views

can't seem to install custom libvirt

I just can't seem to install a custom version of libvirt on Ubuntu Server 14.04. I'm using this PPA and I used the method of manually pasting in the following lines to the bottom of my sources.list ...
1
vote
1answer
472 views

GPG Error Missing Signature [duplicate]

When I do the command below: sudo apt-get upgrade At the bottom I get an error saying W: GPG error: http://download.opensuse.org Release: The following signatures couldn't be verified because the ...
4
votes
1answer
76 views

Removing PPA causing GPG error

When I run sudo apt-get update I get the following error: W: GPG error: http://download.opensuse.org ./ Release: The following signatures were invalid: KEYEXPIRED 1436387333 How can I locate ...
3
votes
1answer
351 views

Can libreoffice ppa be trusted if it has “no ultimately trusted keys”?

Updating ppa's for libreoffice gets: sudo apt-add-repository ppa:libreoffice/libreoffice-5-0 ... Press [ENTER] to continue or ctrl-c to cancel adding it ... gpg: key 1378B444: public key "...
-1
votes
2answers
95 views

How to add a ppa from a launchpad link [duplicate]

How can I add this ppa: https://launchpad.net/~ermshiperete/+archive/ubuntu/monodevelop to Ubuntu by a command? So given a launchpad link how can I created the appropriate command?
1
vote
1answer
77 views

How to fix gpg not available error?

I am trying to kickstart an Ubtuntu installtion using an existing one. I rsynced the home dir and am now in the process of duplicating the installed packages. Since I have some extra ppa in my setup, ...
1
vote
1answer
115 views

resolve broken apt-get package download

I got an issue with the leap-keymanager package. sudo apt-get purge leap-keymanager Reading package lists... Done Building dependency tree Reading state information... Done E: The package ...
1
vote
1answer
58 views

Seemingly duplicate trusted GPG keys in /etc/apt/trusted.gpg.d

I was recently dealing with this bug in apt and was trying to figure out which .gpg files I could remove to /etc/apt/trusted.gpg.d to stop the W: GPG error: NO_PUBKEY error I was getting with apt-get ...
1
vote
1answer
47 views

How to add Launchpad PPA of different Ubuntu versions to my Machine?

I want to add a certain Launchpad PPA via add-apt-repository to my machine. Is it possible to add the PPAs of several or even all Ubuntu Versions to my Machine? This is just for comparing the ...
0
votes
0answers
387 views

Can't Add PPA Behind Proxy using CNTLM

I'm trying to add a PPA to upgrade PHP, but receiving the following error: $ sudo add-apt-repository ppa:ondrej/php5-5.6 Cannot add PPA: 'ppa:ondrej/php5-5.6'. Please check that the PPA name or ...
1
vote
1answer
148 views

Adding new PPA is causing GPG error after apt-get update

Recently I had a lot of GPG errors with the following message W: GPG error: http://ppa.launchpad.net trusty Release: The following signatures couldn't be verified because the public key is not ...
0
votes
2answers
77 views

Is plexydesk supported on Ubuntu 14.04.3 LTS (Trusty)

I tried installing but it fails. Failed to fetch http://ppa.launchpad.net/plexydesk/plexydesk-dailybuild/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found I read on Launchpad that it ...
0
votes
1answer
158 views

Where to find new firmware upgrades application on GNOME 3.18

I have just upgraded to Ubuntu GNOME 15.10 with GNOME 3.18, and I read here that there is a new firmware upgrades application, but I can't seem to find it anywhere, so how do I find it? I have ...
11
votes
6answers
9k views

Wine 1.7 not installing on Xubuntu 15.10

So, after setting up my installation of Xubuntu yesterday, I tried to install Wine 1.7 using ppa:ubuntu-wine/ppa. However, after doing sudo apt-get install wine1.7, it keeps giving me this error: ...
1
vote
1answer
172 views

How to add “Refresh” option to right click menu in Ubuntu 15.04

I tried to use below steps to add refresh option in Ubuntu 15.04 but getting error E: Unable to locate package nautilus-refresh. Same steps worked fine in Ubuntu 14.04. Anything I am missing? I am ...
0
votes
0answers
22 views

How to check installed packages for ones installed from no longer in use PPAs

Is there any way of checking which (if any) packages on my system were installed from PPAs which are now no longer installed or disabled? OS Information: No LSB modules are available. Distributor ...
0
votes
1answer
79 views

Problems with apt-get ppa from launch pad [duplicate]

I'm running Ubuntu Server Distributor ID: Ubuntu Description: Ubuntu 14.04.2 LTS Release: 14.04 Codename: trusty And when I run apt-get update is get the following errors Err http://ppa....
1
vote
0answers
248 views

Ubuntu 14.04 Software Center Install From PPA

I have installed a PPA. Now I want to view all software that the PPA has to offer in the Ubuntu Software Center GUI. Everywhere I look on the internet they say,"The packages available from the PPA can ...
2
votes
1answer
86 views

very basic question about ppa [duplicate]

What is a ppa? I tried installing vlc 2.2.1 but I found two PPAs and both of them seem to work? Is there no difference between them? Which one is better for future releases? sudo add-apt-repository ...
1
vote
2answers
137 views

How to get all packages listed in a PPA at once?

For example, if I do: sudo add-apt-repository ppa:ubuntu-toolchain-r/test sudo apt-get update sudo apt-get install gcc-5 g++-5 I get gcc-5 but not gfortran-5 or cpp-5 or any of the other packages ...
1
vote
1answer
399 views

How to get ExFAT working on 12.04

I have read through a number of questions related to ExFAT and for 12.04 they recommend: sudo apt-add-repository ppa:relan/exfat sudo apt-get update sudo apt-get install fuse-exfat exfat-utils ...
8
votes
1answer
3k views

Install Plasma 5 KDE ubuntu - Cannot add PPA

I am trying to install Plasma 5 KDE on my ubuntu 14.04 with the following commands: sudo apt-add-repository ppa:kubuntu-ppa/next-backports sudo apt-get update sudo apt-get dist-upgrade sudo apt-get ...
0
votes
1answer
388 views

How i install Budgie on Ubuntu 15.04

I want test Budgie Desktop on my Ubuntu 15.04 64 bits PC but i can't install due some problems; So, i tried install from several ways: Official PPA: In several guides to install Budgie say that in ...
2
votes
2answers
231 views

Ubuntu 14.04: `apt-get update` failed, no `unity_revamped` for Trusty

sudo apt-get update gives: Get:83 http://gb.archive.ubuntu.com trusty/universe Translation-en [4089 kB] Fetched 31.9 MB in 15s (2073 kB/s) W: Failed to ...
0
votes
1answer
23 views

launchpad build fails, but pbuilder works

This is my first attempt with .deb packaging for a very long time, so it's likely to be a stupid mistake. That said, as heading says: my package builds fine in pbuilder on a trusty 14.04.3 host, but ...
0
votes
1answer
34 views

How to easily tell which PPAs need to be purged

I have several PPAs, such as the Fresh Libre Office one, and the GNOME3 Staging one, and this means that I get all of the latest packages, however a lot of these PPAs in the descriptions say that you ...
2
votes
1answer
47 views

Automatically installing PPAs

After adding some PPAs from Launchpad to my repositiory (add-apt-repository) I want to install them automatically. As far as I know there is no command to install all new PPAs after apt-get update. ...
0
votes
1answer
321 views

How to purge Steam ppa completely

I have already purged Steam using apt-get. But I found some PPAs that I added when I installed Steam back then still exist. My questions are: how to completely remove the PPAs related to Steam and ...
1
vote
1answer
339 views

Attempt to install libimobiledevice-1.2.0 throws error: “libimobiledevice4 missing files (usr/lib/*/*.so.4*), aborting”

I'm building and installing libimobiledevice 1.2.0 following the instructions at: libimobiledevice 1.2 (iOS 8 Support) for Ubuntu 14.04 Trusty but I keep getting the error: libimobiledevice4 missing ...
2
votes
2answers
82 views

How to check the information of a PPA without adding it

Is there any way without running: sudo apt-add-repository [PPA] That you can get the description (and possibly some other additional information) of a PPA through Terminal?
0
votes
1answer
33 views

Installing package from 3d-party repository

I need to install package from a non-ppa repository. So, the usual sudo apt-add-repository... & apt-get update isn't woring. Of course, I can manually download all necessary packages from here, ...
0
votes
0answers
16 views

Newbie to Ubuntu-Error while updating

Error message displayed when trying to update Ubuntu 14.04 sudo apt-get update got error message 0% [Connecting to 192.168.0.13 (192.168.0.13)] Err http://ppa.launchpad.net trusty InRelease
4
votes
2answers
3k views

Is there a PPA offering CMake >= 3.2 for Ubuntu Precise?

I'm trying to get cmake 3.2 or newer on travis-ci, which runs precise. Is there any PPA? I found ppa:george-edison55/cmake-3.x but it doesn't offer precise. I found this question offering manual ...
4
votes
1answer
332 views

php5 is already the newest version but in phpinfo i get 5.4

Details: Distributor ID: Ubuntu Description: Ubuntu 12.04.5 LTS Release: 12.04 Codename: precise I want to install php5.5 so i try next step: php -v PHP 5.4.26 (cli) (built: Apr ...
2
votes
2answers
543 views

Installing a specific version of VLC from a PPA

I'm trying to install a specific version of vlc (2.2.x) I've added the PPA repository according to this question: How to update VLC to the latest version?. I've remembered to issue the command sudo ...
0
votes
0answers
8 views

I have a an error message I want to get rid of! [duplicate]

I get this message when I update with apt-get: W: Failed to fetch http://ppa.launchpad.net/freyja-dev/unity-tweak-tool-daily/ubuntu/dists/vivid/main/binary-amd64/Packages 404 Not Found W: Failed ...
0
votes
1answer
19 views

How to include postinst file with bzr builddeb?

I have built a package for Ubuntu using the Ubuntu Packaging Guide. That worked fine until the point that I wanted to configure the package after installation. Usually debian packages get a postinst ...
0
votes
0answers
20 views

Package/ Program installation location

I have a program that I am trying to migrate into a PPA. I was wondering how I create a structure that will place the proper portions of the program into the correct folders. This includes some ...
0
votes
0answers
30 views

Add a repository from a proxy connection

Does a proxy connection prevent adding a repository to Ubuntu? I'm using my college WiFi which uses a network proxy. I'm trying to add repositories but all I get is: Cannot add PPA: 'ppa:xxxxx'. ...
0
votes
0answers
63 views

Digikam starts memory run

I am having trouble to run digikam on stock Ubuntu 14.04. I tried different approaches to install and run it using different ppa combinations. I installed it with the philip5 ppa. originally only with ...
1
vote
2answers
382 views

Installing GNOME 3.16 on Ubuntu 15.04

Can you please help me with installing GNOME 3.16 on Ubuntu 15.04? I added https://launchpad.net/~gnome3-team/+archive/ubuntu/gnome3 to the repositories and installed "gnome", but I still have ...
1
vote
2answers
563 views

Failed to install Grive tools on Ubuntu 12.04

I was trying to install Grive tools via the PPA, but in the last step I got the error message: $ sudo apt-get install -y grive-tools Reading package lists... Done Building dependency tree ...
6
votes
2answers
10k views

Remove PPAs: “add-apt-repository --remove” vs. “rm /etc/apt/sources.list.d/???.list”

According to How can PPAs be removed? there are mainly 3 methods to get rid of a PPA: Use the add-apt-repository command: sudo add-apt-repository --remove ppa:???/??? Manually remove the .list ...
3
votes
2answers
840 views

Check for and remove unused PPAs

Since the installation, I have added not too few PPAs to my 15.04 system because I wanted a specific application. But sometimes I have removed that package later again, because it did not work, was ...
5
votes
1answer
233 views

apt-get is trying to install when doing a remove --purge

I'm trying to remove a package using sudo apt-get remove --purge ka-lite but when I run that command, it tries to download and install another package instead of removing the one I'm asking for. ...
0
votes
0answers
39 views

I am having trouble installing PlayOnLinux in ubuntu 12.04

I am getting following errors: W: Failed to fetch http://deb.playonlinux.com/dists/precise/Release Unable to find expected entry 'main/source/Sources' in Release file (Wrong sources.list entry or ...